;InnoSetupVersion=3.0.5

[Setup]
AppName=MemDefrag 2
AppVerName=MemDefrag 2 revision 30318a
AppId=MemDefrag
AppPublisher=MCGSoftwares
AppPublisherURL=www.mcgsoftwares.com
AppSupportURL=www.mcgsoftwares.com
AppUpdatesURL=www.mcgsoftwares.com
DefaultDirName={pf}\MemDefrag
DefaultGroupName=MemDefrag
UninstallDisplayIcon={app}\mdefrag.exe
UninstallDisplayName=MemDefrag
OutputBaseFilename=meminstall
Compression=zip
PrivilegesRequired=none
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\mdefrag.exe"; DestDir: "{app}"; Flags: restartreplace ignoreversion 
Source: "{app}\memlock.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Mdefrag.hlp"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\uninstall.exe"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "MemDefrag"; ValueType: String; ValueData: "{app}\mdefrag.exe"; Flags: createvalueifdoesntexist uninsdeletevalue 

[Run]
Filename: "{app}\mdefrag.exe"; WorkingDir: "{group}"; Description: "Execute MemDefrag"; Flags: postinstall nowait

[UninstallRun]
Filename: "{app}\uninstall.exe"; Parameters: "MemDefrag"; 

[Icons]
Name: "{userdesktop}\MemDefrag"; Filename: "{app}\mdefrag.exe"; WorkingDir: "{app}"; IconFilename: "{app}\mdefrag.exe"; Comment: "MemDefrag"; 
Name: "{group}\Readme"; Filename: "{app}\readme.txt"; WorkingDir: "{app}"; Comment: "MemDefrag Readme"; 
Name: "{group}\MemDefrag 2"; Filename: "{app}\mdefrag.exe"; WorkingDir: "{app}"; IconFilename: "{app}\mdefrag.exe"; Comment: "MemDefrag - Memory Optimizor"; 
Name: "{group}\MemDefrag Help"; Filename: "{app}\Mdefrag.hlp"; WorkingDir: "{app}"; Comment: "MemDefrag Help"; 

[UninstallDelete]
Type: files; Name: "{win}\mdefrag.ini"; 
Type: filesandordirs; Name: "{app}"; 
